CStringParameter Class Reference

an string parameter More...

`#include <mia/core/parameter.hh>`

Inheritance diagram for CStringParameter:
[legend]
Collaboration diagram for CStringParameter:
[legend]

## Public Member Functions

| CStringParameter (std::string &value, CCmdOptionFlags flags, const char *descr, const CPluginHandlerBase *plugin_hint=nullptr)
Public Member Functions inherited from CParameter
void | add_dependend_handler (HandlerHelpMap &handler_map) const
| CParameter (const char type[], bool required, const char *descr)
void | descr (std::ostream &os) const
std::string | get_default_value () const
const char * | get_descr () const
void | get_help_xml (CXMLElement &root) const
std::string | get_value_as_string () const
virtual void | post_set ()
bool | required_set () const
void | reset ()
bool | set (const std::string &str_value)
const char * | type () const
void | value (std::ostream &os) const
virtual | ~CParameter ()

## Additional Inherited Members

Protected Member Functions inherited from CParameter
void | add_xmlhelp_attribute (CXMLElement &node, const std::string &tag, const std::string &value) const
CXMLElement & | add_xmlhelp_childnode (CXMLElement &parent, const std::string &tag) const
void | add_xmlhelp_text (CXMLElement &node, const std::string &value) const
const std::string | errmsg (const std::string &err_value) const
| create an error message by using the given value that raises the error

## Detailed Description

an string parameter

Definition at line 536 of file parameter.hh.

## Constructor & Destructor Documentation

## CStringParameter()

CStringParameter::CStringParameter | ( | std::string & | value,
|  | CCmdOptionFlags | flags,
|  | const char * | descr,
|  | const CPluginHandlerBase * | plugin_hint = nullptr )

References CParameter::descr(), and CParameter::value().

The documentation for this class was generated from the following file:

- parameter.hh